summaryrefslogtreecommitdiffstats
path: root/source/l/hicolor-icon-theme
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2009-08-26 10:00:38 -0500
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:41:17 +0200
commit5a12e7c134274dba706667107d10d231517d3e05 (patch)
tree55718d5acb710fde798d9f38d0bbaf594ed4b296 /source/l/hicolor-icon-theme
downloadcurrent-5a12e7c134274dba706667107d10d231517d3e05.tar.gz
current-5a12e7c134274dba706667107d10d231517d3e05.tar.xz
Slackware 13.0slackware-13.0
Wed Aug 26 10:00:38 CDT 2009 Slackware 13.0 x86_64 is released as stable! Thanks to everyone who helped make this release possible -- see the RELEASE_NOTES for the credits. The ISOs are off to the replicator. This time it will be a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. We're taking pre-orders now at store.slackware.com. Please consider picking up a copy to help support the project. Once again, thanks to the entire Slackware community for all the help testing and fixing things and offering suggestions during this development cycle. As always, have fun and enjoy! -P.
Diffstat (limited to 'source/l/hicolor-icon-theme')
-rw-r--r--source/l/hicolor-icon-theme/doinst.sh25
-rwxr-xr-xsource/l/hicolor-icon-theme/hicolor-icon-theme.SlackBuild68
-rw-r--r--source/l/hicolor-icon-theme/setup.08.gtk-update-icon-cache14
-rw-r--r--source/l/hicolor-icon-theme/slack-desc19
4 files changed, 126 insertions, 0 deletions
diff --git a/source/l/hicolor-icon-theme/doinst.sh b/source/l/hicolor-icon-theme/doinst.sh
new file mode 100644
index 000000000..46e76c00a
--- /dev/null
+++ b/source/l/hicolor-icon-theme/doinst.sh
@@ -0,0 +1,25 @@
+# Since the use of icon caching is optional, and has to be kept in sync
+# somehow (like a "registry" through a cron job, or whatever, I tend to
+# think the user should be the one to choose if they really want to set
+# this up or not:
+
+# Using an absolute path (/usr/bin/gtk-update-icon-cache) will make
+# this script function only on a running system. Otherwise an end-of-
+# install script will take care of this job.
+
+# Don't make a global cache in /usr/share/icons. Not only is it huge,
+# but it causes problems if it isn't constantly updated.
+# |>@&^^ registries... ;-)
+#
+# /usr/share/icons isn't really a "theme" anyway and shouldn't have a
+# icon-theme.cache file there.
+#
+# If there already is a global cache, rm it:
+rm -f usr/share/icons/icon-theme.cache
+
+# Update hicolor theme cache:
+if [ -d usr/share/icons/hicolor ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ chroot . /usr/bin/gtk-update-icon-cache -f -t usr/share/icons/hicolor 1> /dev/null 2> /dev/null
+ fi
+fi
diff --git a/source/l/hicolor-icon-theme/hicolor-icon-theme.SlackBuild b/source/l/hicolor-icon-theme/hicolor-icon-theme.SlackBuild
new file mode 100755
index 000000000..7d887d684
--- /dev/null
+++ b/source/l/hicolor-icon-theme/hicolor-icon-theme.SlackBuild
@@ -0,0 +1,68 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+VERSION=${VERSION:-0.10}
+ARCH=noarch
+BUILD=${BUILD:-5}
+
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-hicolor-icon-theme
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf hicolor-icon-theme-$VERSION
+tar xvf $CWD/hicolor-icon-theme-$VERSION.tar.gz || exit 1
+cd hicolor-icon-theme-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+./configure \
+ --prefix=/usr
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/var/log/setup
+cat $CWD/setup.08.gtk-update-icon-cache > $PKG/var/log/setup/setup.08.gtk-update-icon-cache
+chmod 755 $PKG/var/log/setup/setup.08.gtk-update-icon-cache
+
+mkdir -p $PKG/usr/doc/hicolor-icon-theme-$VERSION
+cp -a \
+ COPYING README \
+ $PKG/usr/doc/hicolor-icon-theme-$VERSION
+chmod 644 $PKG/usr/doc/hicolor-icon-theme-$VERSION/*
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/hicolor-icon-theme-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source/l/hicolor-icon-theme/setup.08.gtk-update-icon-cache b/source/l/hicolor-icon-theme/setup.08.gtk-update-icon-cache
new file mode 100644
index 000000000..a1b220b73
--- /dev/null
+++ b/source/l/hicolor-icon-theme/setup.08.gtk-update-icon-cache
@@ -0,0 +1,14 @@
+#BLURB="Run gtk-update-icon-cache for hicolor theme."
+
+# This is needed since XFce adds a few hicolor icons that would
+# not otherwise be cached. Really, I'm not sure the idea of
+# caching icons is a good one -- the use of gtk-update-icon-cache
+# could disappear from future install scripts.
+
+# Update hicolor theme cache:
+if [ -d usr/share/icons/hicolor ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ chroot . /usr/bin/gtk-update-icon-cache -f -t usr/share/icons/hicolor 1> /dev/null 2> /dev/null
+ fi
+fi
+
diff --git a/source/l/hicolor-icon-theme/slack-desc b/source/l/hicolor-icon-theme/slack-desc
new file mode 100644
index 000000000..4f40b1fab
--- /dev/null
+++ b/source/l/hicolor-icon-theme/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+hicolor-icon-theme: hicolor-icon-theme (default icon theme)
+hicolor-icon-theme:
+hicolor-icon-theme: This is the default fallback theme used by implementations of the icon
+hicolor-icon-theme: theme specification.
+hicolor-icon-theme:
+hicolor-icon-theme: The specification is available at:
+hicolor-icon-theme: http://www.freedesktop.org/standards/icon-theme-spec/
+hicolor-icon-theme:
+hicolor-icon-theme:
+hicolor-icon-theme:
+hicolor-icon-theme: